Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.ReferenceTypeContext

- org.apache.groovy.parser.antlr4.GroovyParser.ReferenceTypeContext

-     public static class GroovyParser.ReferenceTypeContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReferenceTypeContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<? extends TerminalNode>` | `DOT()`
    `` | `public TerminalNode` | `DOT(int i)`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends ClassNameContext>` | `className()`
    `` | `public GroovyParser.ClassNameContext` | `className(int i)`
    `` | `public int` | `getRuleIndex()`
    `` | `public List<? extends IdentifierContext>` | `identifier()`
    `` | `public GroovyParser.IdentifierContext` | `identifier(int i)`
    `` | `public GroovyParser.QualifiedClassNameContext` | `qualifiedClassName()`
    `` | `public GroovyParser.QualifiedStandardClassNameContext` | `qualifiedStandardClassName()`
    `` | `public List<? extends TypeArgumentsContext>` | `typeArguments()`
    `` | `public GroovyParser.TypeArgumentsContext` | `typeArguments(int i)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Constructor Detail

    - #### public ReferenceTypeContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public List<? extends TerminalNode> DOT()

    - #### public TerminalNode DOT(int i)

    - #### <Result> public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends ClassNameContext> className()

    - #### public GroovyParser.ClassNameContext className(int i)

    - #### public int getRuleIndex()

    - #### public List<? extends IdentifierContext> identifier()

    - #### public GroovyParser.IdentifierContext identifier(int i)

    - #### public GroovyParser.QualifiedClassNameContext qualifiedClassName()

    - #### public GroovyParser.QualifiedStandardClassNameContext qualifiedStandardClassName()

    - #### public List<? extends TypeArgumentsContext> typeArguments()

    - #### public GroovyParser.TypeArgumentsContext typeArguments(int i)